Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.interform.Filler Class Reference
Inheritance diagram for com.foxit.sdk.pdf.interform.Filler:

## Public Member Functions
| Filler (Form form, FillerAssistCallback assist) throws com.foxit.sdk.PDFException
| Constructor. More...
| Filler (Filler other)
| Constructor, with another filler object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PointF | getEditingTextCaretPosition (Matrix2D matrix) throws com.foxit.sdk.PDFException
| Get the text caret position when the text field or combo box is in the editing state. More...
void | highlightFormFields (boolean is_highlight) throws com.foxit.sdk.PDFException
| Decide whether to highlight form fields (including signature fields) or not. More...
void | highlightFormFields (boolean is_highlight, boolean is_sign_highlight) throws com.foxit.sdk.PDFException
| Decide whether to highlight signature fields and other form fields or not. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | killFocus () throws com.foxit.sdk.PDFException
| Kill focus from form. More...
boolean | onChar (int char_code, int flags) throws com.foxit.sdk.PDFException
| Call this function when a character code is about to be inputted to a form field. More...
boolean | onCopy () throws com.foxit.sdk.PDFException
| Call this function when the popup menu item "Copy" is down. More...
boolean | onCut () throws com.foxit.sdk.PDFException
| Call this function when the popup menu item "Cut" is down. More...
boolean | onDelete () throws com.foxit.sdk.PDFException
| Call this function when the popup menu item "Delete" is down. More...
boolean | onKeyDown (int key_code, int flags) throws com.foxit.sdk.PDFException
| Call this function when key on the keyboard is down. More...
boolean | onKeyUp (int key_code, int flags) throws com.foxit.sdk.PDFException
| Call this function when key on the keyboard is up. More...
boolean | onLButtonDoubleClick (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when left mouse button is double clicked. More...
boolean | onLButtonDown (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when left mouse button is down. More...
boolean | onLButtonUp (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when left mouse button is up. More...
boolean | onMouseEnter (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse enters somewhere. More...
boolean | onMouseHover (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse hovers somewhere. More...
boolean | onMouseLeave (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse leaves somewhere. More...
boolean | onMouseMove (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when mouse moves. More...
boolean | onMouseWheel (PDFPage page, PointF point, int delta, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse wheel moves. More...
boolean | onPaste () throws com.foxit.sdk.PDFException
| Call this function when the popup menu item "Paste" is down. More...
boolean | onRButtonDoubleClick (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when right mouse button is double clicked. More...
boolean | onRButtonDown (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when right mouse button is down. More...
boolean | onRButtonUp (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| Call this function when right mouse button is up. More...
boolean | onSelectAll () throws com.foxit.sdk.PDFException
| Call this function when the popup menu item "Select All" is down. More...
boolean | onWheelButtonDoubleClick (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse wheel button is double clicked. More...
boolean | onWheelButtonDown (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse wheel button is down. More...
boolean | onWheelButtonUp (PDFPage page, PointF point, int flags) throws com.foxit.sdk.PDFException
| (Reserved, unsupported yet) Call this function when mouse wheel button is up. More...
void | render (PDFPage page, Matrix2D matrix, Renderer renderer) throws com.foxit.sdk.PDFException
| Draw the currently focused form control on the page. More...
boolean | setFocus (Control control) throws com.foxit.sdk.PDFException
| Set focus on a form control. More...
void | setHighlightColor (long color) throws com.foxit.sdk.PDFException
| Set the highlight color used for highlighting form fields. More...
void | showOverflowIndicator (boolean is_show_overflow_indicator) throws com.foxit.sdk.PDFException
| Decide whether to show the overflow indicator when the text in text field overflow. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_EventFlagAltKey = 0x0004
| Event flag: "Alt" key.
static final int | e_EventFlagAutoRepeat = 0x0020
| Event flag: auto repeat.
static final int | e_EventFlagCommand = 0x0200
| Event flag: the command key.
static final int | e_EventFlagControlKey = 0x0002
| Event flag: "Ctrl" key.
static final int | e_EventFlagKeyPad = 0x0010
| Event flag: key pad.
static final int | e_EventFlagLeftButtonDown = 0x0040
| Event flag: the left button of the mouse is down.
static final int | e_EventFlagMetaKey = 0x0008
| Event flag: meta key.
static final int | e_EventFlagMiddleButtonDown = 0x0080
| Event flag: the middle button of the mouse is down.
static final int | e_EventFlagRightButtonDown = 0x0100
| Event flag: the right button of the mouse is down.
static final int | e_EventFlagShiftKey = 0x0001
| Event flag: "Shift" key.
static final int | e_Vkey0 = 0x30
| 0 key.
static final int | e_Vkey1 = 0x31
| 1 key.
static final int | e_Vkey2 = 0x32
| 2 key.
static final int | e_Vkey3 = 0x33
| 3 key.
static final int | e_Vkey4 = 0x34
| 4 key.
static final int | e_Vkey5 = 0x35
| 5 key.
static final int | e_Vkey6 = 0x36
| 6 key.
static final int | e_Vkey7 = 0x37
| 7 key.
static final int | e_Vkey8 = 0x38
| 8 key.
static final int | e_Vkey9 = 0x39
| 9 key.
static final int | e_VkeyA = 0x41
| A key.
static final int | e_VkeyAdd = 0x6B
| Plus key in the numeric keypad.
static final int | e_VkeyB = 0x42
| B key.
static final int | e_VkeyBack = 0x08
| Backspace key.
static final int | e_VkeyC = 0x43
| C key.
static final int | e_VkeyControl = 0x11
| Ctrl key.
static final int | e_VkeyD = 0x44
| D key.
static final int | e_VkeyDecimal = 0x6E
| Dot key in the numeric keypad.
static final int | e_VkeyDelete = 0x2E
| Delete key.
static final int | e_VkeyDivide = 0x6F
| Slash key in the numeric keypad.
static final int | e_VkeyDown = 0x28
| Down arrow key.
static final int | e_VkeyE = 0x45
| E key.
static final int | e_VkeyEnd = 0x23
| End key.
static final int | e_VkeyEscape = 0x1B
| ESC key.
static final int | e_VkeyF = 0x46
| F key.
static final int | e_VkeyF1 = 0x70
| F1 key.
static final int | e_VkeyF10 = 0x79
| F10 key.
static final int | e_VkeyF11 = 0x7A
| F11 key.
static final int | e_VkeyF12 = 0x7B
| F12 key.
static final int | e_VkeyF2 = 0x71
| F2 key.
static final int | e_VkeyF3 = 0x72
| F3 key.
static final int | e_VkeyF4 = 0x73
| F4 key.
static final int | e_VkeyF5 = 0x74
| F5 key.
static final int | e_VkeyF6 = 0x75
| F6 key.
static final int | e_VkeyF7 = 0x76
| F7 key.
static final int | e_VkeyF8 = 0x77
| F8 key.
static final int | e_VkeyF9 = 0x78
| F9 key.
static final int | e_VkeyG = 0x47
| G key.
static final int | e_VkeyH = 0x48
| H key.
static final int | e_VkeyHelp = 0x2F
| Help key.
static final int | e_VkeyHome = 0x24
| Home key.
static final int | e_VkeyI = 0x49
| I key.
static final int | e_VkeyInsert = 0x2D
| Insert key.
static final int | e_VkeyJ = 0x4A
| J key.
static final int | e_VkeyK = 0x4B
| K key.
static final int | e_VkeyL = 0x4C
| L key.
static final int | e_VkeyLeft = 0x25
| Left arrow key.
static final int | e_VkeyM = 0x4D
| M key.
static final int | e_VkeyMenu = 0x12
| Menu key.
static final int | e_VkeyMultiply = 0x6A
| Multiply key in the numeric keypad.
static final int | e_VkeyN = 0x4E
| N key.
static final int | e_VkeyNext = 0x22
| Page Down key.
static final int | e_VkeyNumpad0 = 0x60
| 0 key in the numeric keypad.
static final int | e_VkeyNumpad1 = 0x61
| 1 key in the numeric keypad.
static final int | e_VkeyNumpad2 = 0x62
| 2 key in the numeric keypad.
static final int | e_VkeyNumpad3 = 0x63
| 3 key in the numeric keypad.
static final int | e_VkeyNumpad4 = 0x64
| 4 key in the numeric keypad.
static final int | e_VkeyNumpad5 = 0x65
| 5 key in the numeric keypad.
static final int | e_VkeyNumpad6 = 0x66
| 6 key in the numeric keypad.
static final int | e_VkeyNumpad7 = 0x67
| 7 key in the numeric keypad.
static final int | e_VkeyNumpad8 = 0x68
| 8 key in the numeric keypad.
static final int | e_VkeyNumpad9 = 0x69
| 9 key in the numeric keypad.
static final int | e_VkeyO = 0x4F
| O key.
static final int | e_VkeyP = 0x50
| P key.
static final int | e_VkeyPause = 0x13
| Pause Break key.
static final int | e_VkeyPrint = 0x2A
| Print key.
static final int | e_VkeyPrior = 0x21
| Page Up key.
static final int | e_VkeyQ = 0x51
| Q key.
static final int | e_VkeyR = 0x52
| R key.
static final int | e_VkeyReturn = 0x0D
| Enter key.
static final int | e_VkeyRight = 0x27
| Right arrow key.
static final int | e_VkeyS = 0x53
| S key.
static final int | e_VkeySeparator = 0x6C
| Enter key in the numeric keypad.
static final int | e_VkeyShift = 0x10
| Shift key.
static final int | e_VkeySnapshot = 0x2C
| Print Screen key.
static final int | e_VkeySpace = 0x20
| Space key.
static final int | e_VkeySubtract = 0x6D
| Minus key in the numeric keypad.
static final int | e_VkeyT = 0x54
| T key.
static final int | e_VkeyTab = 0x09
| Tab key.
static final int | e_VkeyU = 0x55
| U key.
static final int | e_VkeyUnknown = 0x00
| An unknown key.
static final int | e_VkeyUp = 0x26
| Up arrow key.
static final int | e_VkeyV = 0x56
| V key.
static final int | e_VkeyW = 0x57
| W key.
static final int | e_VkeyX = 0x58
| X key.
static final int | e_VkeyY = 0x59
| Y key.
static final int | e_VkeyZ = 0x5A
| Z key.

## Detailed Description

This class represents a form filler used for filling PDF form. There should be only one form filler object for an interactive form, so do not construct form filler for one Form object more than one time. User is recommended to implement an com.foxit.sdk.ActionCallback and set it to Foxit PDF SDK by function common.Library.setActionCallback , in order to implement more features of form filler.

See also
  com.foxit.sdk.common.Library

## Constructor & Destructor Documentation

## ◆ Filler() [1/2]

com.foxit.sdk.pdf.interform.Filler.Filler | ( | Form | form,
|  | FillerAssistCallback | assist
| ) |  | throws com.foxit.sdk.PDFException

Constructor.

There can be only one form filler for a form.

Parameters

  [in] | form | A valid PDF form.
  [in] | assist | An assistant callback class for form filler. This should be implemented by user and should not be null.

## ◆ Filler() [2/2]

com.foxit.sdk.pdf.interform.Filler.Filler | ( | Filler | other | ) |

Constructor, with another filler object.

Parameters

  [in] | other | Another filler object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.interform.Filler.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEditingTextCaretPosition()

PointF com.foxit.sdk.pdf.interform.Filler.getEditingTextCaretPosition | ( | Matrix2D | matrix | ) | throws com.foxit.sdk.PDFException

Get the text caret position when the text field or combo box is in the editing state.

Parameters

  [in] | matrix | A matrix used to transform the returned position to device coordinate system.

Returns
  A position of the top of the text caret in device coordinate system.
  (-1,-1) means that there are no text field or combo box in the editing state.

## ◆ highlightFormFields() [1/2]

void com.foxit.sdk.pdf.interform.Filler.highlightFormFields | ( | boolean | is_highlight | ) | throws com.foxit.sdk.PDFException

Decide whether to highlight form fields (including signature fields) or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields (including signature fields) by default.

Parameters

  [in] | is_highlight | true means to highlight form fields (including signature fields), and false means not to highlight form fields (including signature fields).

Returns
  None.

## ◆ highlightFormFields() [2/2]

void com.foxit.sdk.pdf.interform.Filler.highlightFormFields | ( | boolean | is_highlight,
|  | boolean | is_sign_highlight
| ) |  | throws com.foxit.sdk.PDFException

Decide whether to highlight signature fields and other form fields or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields by default apart from signature fields which are not highlighted by default.

Parameters

  [in] | is_highlight | This boolean value is used for non-signature fields: true means to highlight form fields, and false means not to highlight form fields.
  [in] | is_sign_highlight | This boolean value is used only for siganture fields: true means to highlight signature fields, and false means not to highlight signature fields.

Returns
  None.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.interform.Filler.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ killFocus()

boolean com.foxit.sdk.pdf.interform.Filler.killFocus | ( |  | ) | throws com.foxit.sdk.PDFException

Kill focus from form.

Returns
  true means success, while false means failure.

## ◆ onChar()

boolean com.foxit.sdk.pdf.interform.Filler.onChar | ( | int | char_code,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when a character code is about to be inputted to a form field.

Parameters

  [in] | char_code | A character code, in UTF16-LE encoding.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ onCopy()

boolean com.foxit.sdk.pdf.interform.Filler.onCopy | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function when the popup menu item "Copy" is down.

Returns
  true means success, while false means failure.

## ◆ onCut()

boolean com.foxit.sdk.pdf.interform.Filler.onCut | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function when the popup menu item "Cut" is down.

Returns
  true means success, while false means failure.

## ◆ onDelete()

boolean com.foxit.sdk.pdf.interform.Filler.onDelete | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function when the popup menu item "Delete" is down.

Returns
  true means success, while false means failure.

## ◆ onKeyDown()

boolean com.foxit.sdk.pdf.interform.Filler.onKeyDown | ( | int | key_code,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when key on the keyboard is down.

Parameters

  [in] | key_code | The key code. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_VkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return true.

## ◆ onKeyUp()

boolean com.foxit.sdk.pdf.interform.Filler.onKeyUp | ( | int | key_code,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when key on the keyboard is up.

Parameters

  [in] | key_code | The key code. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_VkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return true.

## ◆ onLButtonDoubleClick()

boolean com.foxit.sdk.pdf.interform.Filler.onLButtonDoubleClick | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when left mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ onLButtonDown()

boolean com.foxit.sdk.pdf.interform.Filler.onLButtonDown | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when left mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is down in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ onLButtonUp()

boolean com.foxit.sdk.pdf.interform.Filler.onLButtonUp | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when left mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ onMouseEnter()

boolean com.foxit.sdk.pdf.interform.Filler.onMouseEnter | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse enters somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onMouseHover()

boolean com.foxit.sdk.pdf.interform.Filler.onMouseHover | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse hovers somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onMouseLeave()

boolean com.foxit.sdk.pdf.interform.Filler.onMouseLeave | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse leaves somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onMouseMove()

boolean com.foxit.sdk.pdf.interform.Filler.onMouseMove | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when mouse moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ onMouseWheel()

boolean com.foxit.sdk.pdf.interform.Filler.onMouseWheel | ( | PDFPage | page,
|  | PointF | point,
|  | int | delta,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse wheel moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | delta | Indicates the amount the mouse wheel has been moved. A positive value means to be moved forward, and a negative value means to be moved backward.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onPaste()

boolean com.foxit.sdk.pdf.interform.Filler.onPaste | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function when the popup menu item "Paste" is down.

Returns
  true means success, while false means failure.

## ◆ onRButtonDoubleClick()

boolean com.foxit.sdk.pdf.interform.Filler.onRButtonDoubleClick | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when right mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onRButtonDown()

boolean com.foxit.sdk.pdf.interform.Filler.onRButtonDown | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when right mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onRButtonUp()

boolean com.foxit.sdk.pdf.interform.Filler.onRButtonUp | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

Call this function when right mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onSelectAll()

boolean com.foxit.sdk.pdf.interform.Filler.onSelectAll | ( |  | ) | throws com.foxit.sdk.PDFException

Call this function when the popup menu item "Select All" is down.

Returns
  true means success, while false means failure.

## ◆ onWheelButtonDoubleClick()

boolean com.foxit.sdk.pdf.interform.Filler.onWheelButtonDoubleClick | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse wheel button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onWheelButtonDown()

boolean com.foxit.sdk.pdf.interform.Filler.onWheelButtonDown | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse wheel button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ onWheelButtonUp()

boolean com.foxit.sdk.pdf.interform.Filler.onWheelButtonUp | ( | PDFPage | page,
|  | PointF | point,
|  | int | flags
| ) |  | throws com.foxit.sdk.PDFException

(Reserved, unsupported yet) Call this function when mouse wheel button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from com.foxit.sdk.pdf.interform.Filler.e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ render()

void com.foxit.sdk.pdf.interform.Filler.render | ( | PDFPage | page,
|  | Matrix2D | matrix,
|  | Renderer | renderer
| ) |  | throws com.foxit.sdk.PDFException

Draw the currently focused form control on the page.

If there is no focused form control on the page, nothing will be drawn by this function. The focused form control has to be the topmost visible element, so that it should be always rendered after page content and all the other annotations have been rendered.
For how to render form control (which is associated with widget annotations), please refer to the recommended flow mentioned in comment of class Renderer.

Parameters

  [in] | page | A valid PDF page object.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function PDFPage.getDisplayMatrix .
  [in] | renderer | A valid renderer object for rendering.

Returns
  None.

## ◆ setFocus()

boolean com.foxit.sdk.pdf.interform.Filler.setFocus | ( | Control | control | ) | throws com.foxit.sdk.PDFException

Set focus on a form control.

Parameters

  [in] | control | A form control object. If this is constructed by default constructor and not set any value, that means no focus control.

Returns
  true means success, while false means failure.

## ◆ setHighlightColor()

void com.foxit.sdk.pdf.interform.Filler.setHighlightColor | ( | long | color | ) | throws com.foxit.sdk.PDFException

Set the highlight color used for highlighting form fields.

If this function is not called, Foxit PDF SDK will use a kind of light blue grey color (value 0x80C8D2FF) by default.

Parameters

  [in] | color | The highlight color to be set for highlighting form fields.

Returns
  None.

## ◆ showOverflowIndicator()

void com.foxit.sdk.pdf.interform.Filler.showOverflowIndicator | ( | boolean | is_show_overflow_indicator | ) | throws com.foxit.sdk.PDFException

Decide whether to show the overflow indicator when the text in text field overflow.

If this function is not called, Foxit PDF SDK will not show form field overflow indicator by default.

Parameters

  [in] | is_show_overflow_indicator | true means to show overflow indicator when the text in text field overflow, and false means not to show overflow indicator in this case.

Returns
  None.